@echo off
rem // decipha 2022-09-25 converted 2024-02-19
echo.
echo Current Folder: 
echo %cd%
echo.
@if exist "%1" goto CONTINUED
@if not exist "%1" goto ERROR
set orig=%cd%

:CONTINUED
echo.
echo // Specified path has been found! //
echo.
@if not "%cd%" == "D:\TUNING\xvi32" goto REMOTE_LOCATION


rem // need to copy source to xvi32 folder
@if exist "D:\TUNING\xvi32\temp.bin" goto DUPLICATE
copy %1 D:\TUNING\xvi32\temp.bin
d:
cd D:\TUNING\xvi32
goto CONTINUED



:REMOTE_LOCATION
echo REMOTE LOCATION
rem // need to copy source to xvi32 folder
@if exist "C:\TUNING\xvi32\temp.bin" goto DUPLICATE
copy %1 C:\TUNING\xvi32\temp.bin
C:
cd C:\TUNING\xvi32

:CONTINUED
rem // verify if free and clear to use temp file names
@if exist "1.bin" goto DUPLICATE
rem // verify operations files are not missing
rem // only list which files are missing
@if not exist "decipha\trans.bin" echo !!! Missing critical operation file from decipha folder: trans.bin !!!
rem // jump cuz files are missing now
@if not exist "decipha\trans.bin" goto MISSING

echo.
echo.
echo Input File: %~n1
echo.
echo Combine 2560k tune and 640k trans files to 3200kb for 2010 F-150
echo.


rem // Recompile to 3200k
copy /b /v /n /y "temp.bin" + "decipha\trans.bin" "%~n1_combined_3200k.bin"
echo.
echo New File Name: %~n1_combined_3200k.bin
echo.
echo Original Folder: %orig%
echo.
move /y "%~n1_combined_3200k.bin" "decipha"


:CLEANUP
rem // put pause here if need to check files for debugging
@if exist "0.bin" del 0.bin
@if exist "1.bin" del 1.bin
@if exist "temp.bin" del temp.bin
echo.
echo Operations Completed Successfully.
goto END

:ERROR
echo.
echo ERROR! No File Selected.
echo.
pause
goto END

:DUPLICATE
echo.
echo !!! Duplicate temporary files already exist !!!


:MISSING
echo.
echo FATAL ERROR! OPERATION TERMINATED - CANNOT PERFORM OPERATION REQUESTED.
echo.
pause

:END
echo.
echo End of Execution.
echo.

echo.
exit