@echo off
rem // decipha 2020-11-23
@if not exist %1 goto ERROR
set orig=%cd%

@if not "%cd%" == "D:\TUNING\xvi32" goto REMOTE_LOCATION


rem // need to copy source to xvi32 folder
@if exist "D:\TUNING\xvi32\temp.bin" goto DUPLICATE
copy %1 D:\TUNING\xvi32\temp.bin
d:
cd D:\TUNING\xvi32
goto CONTINUED


:REMOTE_LOCATION
echo REMOTE LOCATION
rem // need to copy source to xvi32 folder
@if exist "C:\TUNING\xvi32\temp.bin" goto DUPLICATE
copy %1 C:\TUNING\xvi32\temp.bin
C:
cd C:\TUNING\xvi32


:CONTINUED
rem // verify operations files are not missing
@if not exist "decipha\PPC\10000.bin" goto MISSING

echo.
echo.
echo Input File: %~n1
echo.
echo Add 10x000 [65536] to file.
echo.


rem // Add 10000 to temp
@if not exist "decipha\10k.bin" goto SKIPPIDY
copy /b /v /n /y "decipha\10k.bin" + "temp.bin" "%~n1_pcmf.bin"
goto YARPS

:SKIPPIDY
copy /b /v /n /y "decipha\PPC\10000.bin" + "temp.bin" "%~n1_pcmf.bin"

:YARPS
echo.
echo New File Name: %~n1_pcmf.bin
echo.
echo Original Folder: %orig%
echo.
move /y "%~n1_pcmf.bin" "decipha"


:CLEANUP
rem // put pause here if need to check files for debugging
@if exist "temp.bin" del temp.bin
@if exist "10k.bin" del 10k.bin
echo.
echo Operations Completed Successfully.
goto END

:ERROR
echo.
echo ERROR! No File Selected.
echo.
pause
goto END

:DUPLICATE
echo.
echo FATAL ERROR! OPERATION TERMINATED - CANNOT PERFORM OPERATION REQUESTED.
echo.
echo !!! Duplicate temporary files already exist !!!
pause
goto END

:MISSING
echo.
echo FATAL ERROR! OPERATION TERMINATED - CANNOT PERFORM OPERATION REQUESTED.
echo.
echo !!! Missing 0x10000 null filler (0xFF) file for recompiling !!!
pause
goto END

:OPSMISSING
echo.
echo FATAL ERROR! OPERATION TERMINATED - CANNOT PERFORM OPERATION REQUESTED.
echo.
echo !!! Missing critical operations files !!!
pause

:END
echo.
echo End of Execution.
echo.
exit