@echo off
rem // decipha 2020-11-30
@if not exist %1 goto ERROR
set orig=%cd%

@if not "%cd%" == "D:\TUNING\xvi32" goto REMOTE_LOCATION


rem // need to copy source to xvi32 folder
@if exist "D:\TUNING\xvi32\temp.bin" goto DUPLICATE
copy %1 D:\TUNING\xvi32\temp.bin
d:
cd D:\TUNING\xvi32
goto CONTINUED


:REMOTE_LOCATION
echo REMOTE LOCATION
rem // need to copy source to xvi32 folder
@if exist "C:\TUNING\xvi32\temp.bin" goto DUPLICATE
copy %1 C:\TUNING\xvi32\temp.bin
C:
cd C:\TUNING\xvi32


:CONTINUED

rem // verify operations files are not missing
@if not exist "decipha\EEC\256kto112k_del_fillers.xsc" goto OPSMISSING

echo.
echo.
echo Input File: %~n1
echo.
echo Convert 256k [X-1-8-X] to 112k [1-8]
echo.


xvi32.exe temp.bin /S=decipha\EEC\256kto112k_del_fillers.xsc


ren "temp.bin" "%~n1_112k.bin"
echo.
echo New File Name: %~n1_112k.bin
echo.
echo Original Folder: %orig%
echo.
move /y "%~n1_112k.bin" "decipha"


:CLEANUP
rem // put pause here if need to check files for debugging
@if exist "temp.bin" del temp.bin
echo.
echo Operations Completed Successfully.
goto END

:ERROR
echo.
echo ERROR! No File Selected.
echo.
pause
goto END

:DUPLICATE
echo.
echo FATAL ERROR! OPERATION TERMINATED - CANNOT PERFORM OPERATION REQUESTED.
echo.
echo !!! Duplicate temporary files already exist !!!
pause
goto END

:MISSING
echo.
echo FATAL ERROR! OPERATION TERMINATED - CANNOT PERFORM OPERATION REQUESTED.
echo.
echo !!! Missing 0x2000 null filler (0xFF) file for recompiling !!!
pause
goto END

:OPSMISSING
echo.
echo FATAL ERROR! OPERATION TERMINATED - CANNOT PERFORM OPERATION REQUESTED.
echo.
echo !!! Missing critical operations files !!!
pause

:END
echo.
echo End of Execution.
echo.
exit