@echo off
rem // decipha 2022-02-06
echo.
echo Current Folder: 
echo %cd%
echo.
@if exist "%1" goto CONTINUED
@if not exist "%1" goto ERROR
set orig=%cd%

:CONTINUED
echo.
echo // Specified path has been found! //
echo.
@if not "%cd%" == "D:\TUNING\xvi32" goto REMOTE_LOCATION


rem // need to copy source to xvi32 folder
@if exist "D:\TUNING\xvi32\temp.bin" goto DUPLICATE
copy %1 D:\TUNING\xvi32\temp.bin
d:
cd D:\TUNING\xvi32
goto CONTINUED


:REMOTE_LOCATION
echo REMOTE LOCATION
rem // need to copy source to xvi32 folder
@if exist "C:\TUNING\xvi32\temp.bin" goto DUPLICATE
copy %1 C:\TUNING\xvi32\temp.bin
C:
cd C:\TUNING\xvi32


:CONTINUED
rem // verify if free and clear to use temp file names
rem // verify operations files are not missing
rem // only list which files are missing
@if not exist "decipha\MMC\Split_8mb_cut.xsc" echo !!! Missing critical operation file: Split_8mb_cut.xsc !!!
rem // jump cuz files are missing now
@if not exist "decipha\MMC\Split_8mb_cut.xsc" goto MISSING

echo.
echo.
echo Input File: %~n1
echo.
echo Convert 8mb 19-21 PCMflash File to 7840kb file.
echo.

rem // first make duplicate files to be able to split each bank
rem // don't need to


rem // Split Banks
xvi32.exe temp.bin /S=decipha\MMC\Split_8mb_cut.xsc


rem // already cut no recompiling needed

copy /b /v /n /y "temp.bin" "%~n1_7840k.bin"
echo.
echo New File Name: %~n1_7840k.bin
echo.
echo Original Folder: %orig%
echo.
move /y "%~n1_7840k.bin" "decipha"


:CLEANUP
rem // put pause here if need to check files for debugging
@if exist "temp.bin" del temp.bin
echo.
echo Operations Completed Successfully.
goto END

:ERROR
echo.
echo ERROR! No File Selected.
echo.
pause
goto END

:DUPLICATE
echo.
echo !!! Duplicate temporary files already exist !!!


:MISSING
echo.
echo FATAL ERROR! OPERATION TERMINATED - CANNOT PERFORM OPERATION REQUESTED.
echo.
pause

:END
echo.
echo End of Execution.
echo.
exit