@echo off
rem // decipha 2021-07-31
@if not exist %1 goto ERROR
set orig=%cd%

@if not "%cd%" == "D:\TUNING\xvi32" goto REMOTE_LOCATION


rem // need to copy source to xvi32 folder
@if exist "D:\TUNING\xvi32\temp.bin" goto DUPLICATE
copy %1 D:\TUNING\xvi32\temp.bin
d:
cd D:\TUNING\xvi32
goto CONTINUED


:REMOTE_LOCATION
echo REMOTE LOCATION
rem // need to copy source to xvi32 folder
@if exist "C:\TUNING\xvi32\temp.bin" goto DUPLICATE
copy %1 C:\TUNING\xvi32\temp.bin
C:
cd C:\TUNING\xvi32


:CONTINUED
rem // verify operations files are not missing
@if not exist "decipha\PPC\10000.bin" goto MISSING
@if not exist "decipha\PPC\del_1e1000_at_f0000.xsc" goto OPSMISSING


echo.
echo.
echo Input File: %~n1
echo.
echo 1984kb to 1024kb file for PPC
echo Add 10x000 [65536] to file at beginning and del 1E1,000 at end.
echo.


rem // begin
xvi32.exe temp.bin /S=decipha\PPC\del_1e1000_at_f0000.xsc

rem // Add 10000 to temp
copy /b /v /n /y "decipha\PPC\10000.bin" + "temp.bin" "%~n1_pcmf.bin"
echo.
echo New File Name: %~n1_pcmf.bin
echo.
echo Original Folder: %orig%
echo.
move /y "%~n1_pcmf.bin" "decipha"


:CLEANUP
rem // put pause here if need to check files for debugging
@if exist "temp.bin" del temp.bin
echo.
echo Operations Completed Successfully.
goto END

:ERROR
echo.
echo ERROR! No File Selected.
echo.
pause
goto END

:DUPLICATE
echo.
echo FATAL ERROR! OPERATION TERMINATED - CANNOT PERFORM OPERATION REQUESTED.
echo.
echo !!! Duplicate temporary files already exist !!!
pause
goto END

:MISSING
echo.
echo FATAL ERROR! OPERATION TERMINATED - CANNOT PERFORM OPERATION REQUESTED.
echo.
echo !!! Missing 0x10000 null filler (0xFF) file for recompiling !!!
pause
goto END

:OPSMISSING
echo.
echo FATAL ERROR! OPERATION TERMINATED - CANNOT PERFORM OPERATION REQUESTED.
echo.
echo !!! Missing critical operations files !!!
pause

:END
echo.
echo End of Execution.
echo.
exit